global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global Theta FileNames

deltat_min=0.0001;    % sampling period for integration
deltat=0.1;         % sampling period for filtering
tTotal=10;           % sampling time  

% definition of state space parameters para los 3 ejemplos
Theta(1)=1/4; Theta(2)=0; Theta(3)=0; Theta(4)=0.1;     %Ej1
Theta(1)=1/4; Theta(2)=5; Theta(3)=2; Theta(4)=0;       %Ej2
Theta(1)=1/4; Theta(2)=5; Theta(3)=2; Theta(4)=0.1;     %Ej3

Theta(5)=0.0001;       %observation variance

t0=0.01;    % initial time  
tTotal=tTotal+t0;
n_obs=1; % number of observation equations
n_v_e=1; % number of state variables  
n_w=2;   % number of wienner processes
n_m=round((tTotal - t0) ./ deltat)   %number of points
%mpts=1.*ones(1,n_m);   % number of misssing points to compute the prediction between two observations
mpts=[];
AbsTol=[5.0e-9,5.0e-12];
RelTol=[5.0e-6,5.0e-6];

X0=10;         % initial state variable for integration;
Xf0=X0;        % initial filter estimates
Pf0=0;         % initial filter variance estimates

fname='S_Exac_Add_NoL1';
f  = @F_Exac_Add_NoL1;    % name of function f
g  = @G_Exac_Add_NoL1;    % name of function g 
Jf = @J_Exac_Add_NoL1;    % name of Jacobian of f
Jg = 'zero';              % name of Jacobian of g  
Hf = 'zero';              % name of the Hessian of f
Hg = 'zero';              % name of the Hessian of g 
ft = @Ft_Exac_Add_NoL1;   % name of derivative of f respect to t   
gt = @Gt_Exac_Add_NoL1;   % name of derivative of g respect to t

h  = @H_Exac_Add_NoL1;    % name of function h
Jh = @Jh_Exac_Add_NoL1;   % name of Jacobiano de h 

p  = 'zero';    % name of function p  
Jp = 'zero';    % name of Jacobian of p  

See= @See_Exac_Add_NoL1;  % variance of the additive observation noise
Lee= @Lee_Exac_Add_NoL1;  % variance of the multiplicative observation noise

FileNames=MakeFileNames(f,g,Jf,Jg,Hf,Hg,ft,gt,h,Jh,p,Jp,See,Lee,fname);


