global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global theta FileNames
%%
Const_VanderPolAdd;
%%
Gen_VanderPolAdd
Z=datos;

%%
% compute the LL filter
LKWindow=[0 tTotal];
[var_est,V_est,Xp,Pp,nu,LK,PInn,mpts_out]=LLfilter(t,Z,Xf0,Pf0,theta,FileNames,LKWindow,mpts,AbsTol,RelTol);
if ~isempty(mpts), 
    mpts_out(2,:)=zeros(1,length(t)); 
end

%%
% plot of the state variable and their filter estimates
t=1:n_m;
figure
subplot(211)
plot(t,proceso(1,:),t,var_est(1,:));
subplot(212)
plot(t,proceso(2,:),t,var_est(2,:));

% plot of the innovations
figure;
for i=1:n_obs,
  subplot(n_obs+2,1,i)
  plot(nu(i,:));
end
subplot(n_obs+2,1,n_obs+1)
plot(t,mpts_out(1,:))
Min=num2str(min(mpts_out(1,2:end)));
Max=num2str(max(mpts_out(1,2:end)));
Sum=num2str(sum(mpts_out(1,:)));
subplot(n_obs+2,1,n_obs+2)
plot(t,mpts_out(2,:))
MinF=num2str(min(mpts_out(2,2:end)));
MaxF=num2str(max(mpts_out(2,2:end)));
SumF=num2str(sum(mpts_out(2,:)));

% Figure information
figure(2)
subplot(211), ylabel('x1'), title('simulated data vs. LL-filter estimates')
subplot(212), ylabel('x2')

figure(3)
subplot(n_obs+2,1,1)
title('innovation')
subplot(n_obs+2,1,n_obs+1)
title(['mpts,     Min= ',Min,'   Max= ',Max,'  Total= ',Sum])
subplot(n_obs+2,1,n_obs+2)
title(['fpts,     Min= ',MinF,'   Max= ',MaxF,'  Total= ',SumF])

