function f = fhh(t,x,thetae)
% Hodgkin-Huxley function
global theta_i theta st_fun t0 deltat_min
thetat=theta;
thetat(theta_i)=thetae;

global Veq tau rm
gmax=thetat(16:18) * rm;
fi=zeros(1,4);
r=[1,5,9]; 
ganma=thetat(r); z=thetat(r+1); V12=thetat(r+2); alpha0=thetat(r+3);
beta0=alpha0;
k=round((t-t0)/deltat_min)+1;
fi(1:3) = alphac(alpha0,z,ganma,V12,x(4)) .* (1 - x(1:3))' - betac(beta0,z,ganma,V12,x(4)) .* x(1:3)';
p = [x(1).^3  .*  x(2),x(3).^4,1];
fi(4) = -((gmax .* p) * (x(4) - Veq)' + thetat(14).*st_fun(k)) ./ tau;
f=fi';