function f = jfxhh(t,x,thetae)
% The Jacobian of Hodgkin-Huxley function
global Veq tau rm
global theta_i theta
thetat=theta;
thetat(theta_i)=thetae;

gmax=thetat(16:18) * rm;
n_v_e = size(x,1);
r=[1,5,9];
ganma=thetat(r); z=thetat(r+1); V12=thetat(r+2); alpha0=thetat(r+3);
beta0=alpha0;

for i = 1:n_v_e-1
 [alp,alpd] = alphac(alpha0(i),z(i),ganma(i),V12(i),x(4));
 [bet,betd] = betac(beta0(i),z(i),ganma(i),V12(i),x(4));
 f(i,i) = - (alp + bet);
 f(i,n_v_e) = alpd .* (1 - x(i)) - betd .* x(i);
end;

constan = gmax(1) .* (x(4) - Veq(1));
f(n_v_e,1) = - 3 .* constan .* x(1).^2  .*  x(2)./ tau ;
f(n_v_e,2) = - constan .* x(1).^3./ tau;
f(n_v_e,3) = - 4 .* gmax(2) .* x(3).^3 .* (x(4) - Veq(2))./ tau;
p = [x(1).^3  .*  x(2)
	   x(3).^4
     1]';
f(n_v_e,n_v_e) = - ((gmax .* p) * ones(3,1))./ tau;