global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global theta FileNames

const_linear_M_NoAuto_Add;

load data 
Z=datos;

% compute the LL filter
LKWindow=[0 tTotal];
[var_est,V_est,tp,Xp,Pp,nu,LK]=LLfilter(t,Z,Xf0,Pf0,theta,FileNames,LKWindow,mpts);

% plot of the state variable and their filter estimates
t=1:n_m;
figure
subplot(211)
plot(t,proceso(1,:),t,var_est(1,:));
subplot(212)
plot(t,proceso(2,:),t,var_est(2,:));

% plot of the innovations
figure;
plot(nu);
drawnow;

% computing the exact filter for this example
Jg  = 'Jg_linear_M_NoAuto_Add';
A   = feval(Jf,t0,Xf0,theta);  
B   = feval(Jg,t0,Xf0,theta);
f0  = feval(f,t0,Xf0,theta);
ge  = feval(g,t0,Xf0,theta);
gte = feval(gt,t0,Xf0,theta);
be  = bxt(Xf0,ge,B);
m0  = Xf0;
P0  = Pf0;
a1  = feval(ft,t0,Xf0,theta);
ms1(1)=m0(1); ms2(1)=m0(2);
Ps1(1)=P0(1,1); Ps2(1)=P0(2,1); Ps3(1)=P0(2,2);
t(1)=t0;
for i=2:n_m
   t(i)  =  t0 + (i-1)*deltat; 
   [ms, Ps] = LLpredictionNoAuto(t(i),A,f0,B,be,m0,P0,a1,gte);
   ms1(i)=ms(1,1);
   ms2(i)=ms(2,1);
   Ps1(i)=Ps(1,1);
   Ps2(i)=Ps(2,1);
   Ps3(i)=Ps(2,2);
end;

%plot of the exact and estimate LL filter
figure
subplot(2,1,1);
plot(t,ms1,t,var_est(1,:));
subplot(2,1,2);
plot(t,ms2,t,var_est(2,:));

%plot of the exact and estimate LL filter variance
figure
P1=V_est(:,1,1);
P2=V_est(:,1,2);
P3=V_est(:,2,2);
subplot(3,1,1); plot(t,Ps1,t,P1);
subplot(3,1,2); plot(t,Ps2,t,P2);
subplot(3,1,3); plot(t,Ps3,t,P3);

