global deltat deltat_min n_v_e n_m n_obs t0 tTotal X0 Xf0 Pf0 mpts
global Theta FileNames

const_OneDim_2;

load data 
Z=datos;

% compute the LL filter
LKWindow=[0 tTotal];
[var_est,V_est,tp,Xp,Pp,nu,LK]=LLfilter(t,Z,Xf0,Pf0,Theta,FileNames,LKWindow,mpts);
disp([' Log LK for Theta= ' num2str(-LK)])

% plot of the state variable and their filter estimates
figure
subplot(211)
plot(t,proceso(1,:),t,var_est(1,:));
subplot(212)
plot(t,datos,t,var_est(1,:));

% plot of the innovations
figure;
plot(nu);
drawnow;

% computing the exact filter for this example
m0  = Xf0;
P0  = Pf0;
ms1(1)=m0(1);
Ps1(1)=P0(1,1);
for i=2:n_m
   ms1(i)=ms1(i-1)*exp(Theta(1)*deltat)+Theta(2)*(exp(Theta(1)*deltat)-1)/Theta(1);
   Ps1(i)=V_est(i-1,1,1)*exp(2*Theta(1)*deltat)+(Theta(3).^2)*(exp(2*Theta(1)*deltat)-1)/(2*Theta(1));
end;

%plot of the exact and estimate LL filter
figure
subplot(2,1,1);
plot(t,ms1,t,var_est(1,:));

%plot of the exact and estimate filter variance
P1=V_est(:,1,1);
P1=Pp(:,1,1);
subplot(2,1,2); 
plot(t,Ps1,t,P1);
